///////////////////////////////////////////////////////////
//                        EiEdit                         //
//                   //
//             Copyright (C) 2002 Gipat Group            //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

unit CheckShablForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, initer, MySys;

type
  TCheckShablF = class(TForm)
    ShabList: TListBox;
    OkBut: TButton;
    CancelBut: TButton;
    procedure FormShow(Sender: TObject);
    procedure ShabListClick(Sender: TObject);
    procedure OkButClick(Sender: TObject);
    procedure CancelButClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CheckShablF: TCheckShablF;

implementation
uses ShablonimForm;

{$R *.dfm}

procedure TCheckShablF.FormShow(Sender: TObject);
var
  SRec : TSearchRec;
  old : string;
begin
  //.
  ShabList.Clear;

  // .
  findFirst(ShablonimF.ShablsPath+'*.zap',FaAnyFile,SRec);
  If SRec.Name <> '' then ShabList.Items.Add(GetFileName(SRec.Name));
  repeat
    old := SRec.name;
    FindNext(SRec);
    If SRec.Name <> old then ShabList.Items.Add(GetFileName(SRec.Name));
  until old = SRec.name;
  FindClose(SRec);

  //  OK.
  OkBut.Enabled := false;
end;

procedure TCheckShablF.ShabListClick(Sender: TObject);
begin
  OkBut.Enabled := true;
end;

procedure TCheckShablF.OkButClick(Sender: TObject);
begin
  ShablonimF.ShablPath := ShablonimF.ShablsPath+ShabList.Items.Strings[ShabList.ItemIndex]+'.zap';
  ModalResult := mrOk;
end;

procedure TCheckShablF.CancelButClick(Sender: TObject);
begin
  ModalResult := MrCancel;
end;

end.
