////////////////////////////////////////////////////////////
//                 KOL                 //
//                        v 1.1                           //
//                                                        //
//              Copyright (C) 2007 Sagrer                 //
//             LGPL 2.1         //
//                  .  lgpl.txt                     //
//                                                        //
//                  sagrer@yandex.ru                      //
////////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

unit KOLClearDir;

interface

uses KOL, Windows, Messages;

const
  faArchive   = $00000020;

Procedure ClearDir(const Path : string; Delete : boolean);



implementation



Procedure ClearDir(const Path : string; Delete : boolean);

var
 FindHandle : THandle; 
 FindData : TWin32FindData;
 FNam, DirList, FileList : string;
 Bool1 : Boolean;
begin
  DirList := '';
  FileList := '';
  //    .
  FindData.dwFileAttributes := FILE_ATTRIBUTE_NORMAL;
  FindHandle := FindFirstFile(PChar(Path+'*.*'),FindData);
  if FindHandle <> INVALID_HANDLE_VALUE then begin
    repeat
      FNam := FindData.cFileName;
      if (FNam <> '..') and (FNam <> '.') then begin
        //If FindData.dwFileAttributes = FILE_ATTRIBUTE_DIRECTORY then begin
        If DirectoryExists(Path+FNam) = true then begin
          DirList := DirList+FNam+'|';
        end
        else begin
          FileList := FileList+FNam+'|';
        end;
      end;
      Bool1 := FindNextFile(FindHandle,FindData);
    until Bool1 = false;
    FindClose(FindHandle);
  end;
  //MsgOk(DirList);
  //MsgOk(FileList);
  //  .
  If FileList <> '' then begin
    repeat
      FNam := Path+Parse(FileList,'|');
      If FileExists(FNam) = true then begin
        SetFileAttributes(PChar(FNam),faArchive);
        DeleteFile(PChar(FNam));
      end;
    until FileList = '';
  end;

  //   ().
  If DirList <> '' then begin
    repeat
      FNam := Path+Parse(DirList,'|')+'\';
      If DirectoryExists(FNam) = true then begin
        SetFileAttributes(PChar(FNam),faArchive);
        ClearDir(FNam,true);
      end;
    until DirList = '';
  end;  

  //  -   .

  If Delete = true then begin
    If DirectoryExists(Path) = true then begin
      RemoveDirectory(PChar(Path));
    end;
  end;
end;

end.
