///////////////////////////////////////////////////////////
//                        EiEdit                         //
//                   //
//             Copyright (C) 2002 Gipat Group            //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

unit ValueSelectorForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, initer, StdCtrls, KOL;

type
  TValueSelectorF = class(TForm)
    OkBut: TButton;
    CancelBut: TButton;
    Selector: TComboBox;
    procedure FormShow(Sender: TObject);
    procedure OkButClick(Sender: TObject);
    procedure CancelButClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    ValueSelectorF_List : string;
    ValueSelectorF_Return : string;
    ValueSelectorF_Idx  : integer;
  end;

var
  ValueSelectorF: TValueSelectorF;

implementation

{$R *.dfm}

procedure TValueSelectorF.FormShow(Sender: TObject);
begin
  //       .
  Selector.Clear;
  If ValueSelectorF_List <> '' then begin
    repeat
      Selector.Items.Add(Parse(ValueSelectorF_List,#13));
    until ValueSelectorF_List = '';
    Selector.ItemIndex := ValueSelectorF_Idx;
  end;
end;

procedure TValueSelectorF.OkButClick(Sender: TObject);
begin
  ValueSelectorF_Return := Selector.Text;
  ModalResult := mrOk;
end;

procedure TValueSelectorF.CancelButClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

end.
