///////////////////////////////////////////////////////////
//                        EiEdit                         //
//                   //
//             Copyright (C) 2002 Gipat Group            //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

unit QskFnForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, initer;

type
  TAskFnForm = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    OkButn: TButton;
    CancelButn: TButton;
    procedure FormShow(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure OkButnClick(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
    QuestionDial : string;
    AnswerDial : string;
  end;

var
  AskFnForm: TAskFnForm;

implementation

{$R *.DFM}

procedure TAskFnForm.FormShow(Sender: TObject);
begin
  AskFnForm.Caption := QuestionDial;
  Label1.Caption := QuestionDial;
  Edit1.Text := '';
  OkButn.Enabled := false;
  Edit1.SetFocus;
end;

procedure TAskFnForm.Edit1Change(Sender: TObject);
begin
  If Edit1.text <> '' then OkButn.Enabled := true;
end;

procedure TAskFnForm.OkButnClick(Sender: TObject);
begin
  AnswerDial := edit1.text;
end;

procedure TAskFnForm.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  If Key = #13 then begin
    if edit1.text <> '' then begin
      key := #0;
      OkButn.Click;
    end;  
  end;  
end;

end.
