///////////////////////////////////////////////////////////
//                        EiEdit                         //
//                   //
//             Copyright (C) 2002 Gipat Group            //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

unit ResursF;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, initer, MySys, KOL, KOLForPaths;

type
  TResursForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    CloseBut: TButton;
    Label33: TLabel;
    aiinfoPbut: TButton;
    aiinfoUbut: TButton;
    textsPbut: TButton;
    speechPbut: TButton;
    figuresPbut: TButton;
    gfxPbut: TButton;
    materialsPbut: TButton;
    menusPbut: TButton;
    outroPbut: TButton;
    redressPbut: TButton;
    sfxPbut: TButton;
    databaselmpPbut: TButton;
    textslmpPbut: TButton;
    texturesPbut: TButton;
    databasePbut: TButton;
    textsUbut: TButton;
    speechUbut: TButton;
    figuresUbut: TButton;
    gfxUbut: TButton;
    materialsUbut: TButton;
    menusUbut: TButton;
    outroUbut: TButton;
    redressUbut: TButton;
    sfxUbut: TButton;
    databaselmpUbut: TButton;
    textslmpUbut: TButton;
    texturesUbut: TButton;
    databaseUbut: TButton;
    Label19: TLabel;
    Label35: TLabel;
    UnpFil: TButton;
    PackDir: TButton;
    OpenDialog1: TOpenDialog;
    OptimizeBut: TButton;
    OptStandResCB: TCheckBox;
    Label15: TLabel;
    procedure CloseButClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure UnpFilClick(Sender: TObject);
    procedure PackDirClick(Sender: TObject);
    procedure OptimizeButClick(Sender: TObject);
    procedure Label15Click(Sender: TObject);
    procedure OptStandResCBClick(Sender: TObject);
    procedure aiinfoUbutClick(Sender: TObject);
    procedure textsUbutClick(Sender: TObject);
    procedure speechUbutClick(Sender: TObject);
    procedure figuresUbutClick(Sender: TObject);
    procedure gfxUbutClick(Sender: TObject);
    procedure materialsUbutClick(Sender: TObject);
    procedure menusUbutClick(Sender: TObject);
    procedure outroUbutClick(Sender: TObject);
    procedure redressUbutClick(Sender: TObject);
    procedure sfxUbutClick(Sender: TObject);
    procedure databaselmpUbutClick(Sender: TObject);
    procedure textslmpUbutClick(Sender: TObject);
    procedure texturesUbutClick(Sender: TObject);
    procedure databaseUbutClick(Sender: TObject);
    procedure aiinfoPbutClick(Sender: TObject);
    procedure textsPbutClick(Sender: TObject);
    procedure speechPbutClick(Sender: TObject);
    procedure figuresPbutClick(Sender: TObject);
    procedure gfxPbutClick(Sender: TObject);
    procedure materialsPbutClick(Sender: TObject);
    procedure menusPbutClick(Sender: TObject);
    procedure outroPbutClick(Sender: TObject);
    procedure redressPbutClick(Sender: TObject);
    procedure sfxPbutClick(Sender: TObject);
    procedure databaselmpPbutClick(Sender: TObject);
    procedure textslmpPbutClick(Sender: TObject);
    procedure texturesPbutClick(Sender: TObject);
    procedure databasePbutClick(Sender: TObject);
  private
    { Private declarations }
    Showing : boolean;
  public
    { Public declarations }
    procedure DoUnPackStandRes(const ResPath : string; Sender: TObject);
    procedure DoPackStandRes(const ResDir : string; Sender : TObject);
  end;

var
  ResursForm: TResursForm;

implementation

uses DelF, PZed, BrowseDirForm, RbPackOptForm, RBUnPackOptForm;

{$R *.DFM}

procedure TResursForm.CloseButClick(Sender: TObject);
begin
  Close;
end;

procedure TResursForm.FormShow(Sender: TObject);
begin
  Showing := true;  //.  ,   "".
  ResursFormClosed := false;

  //     
  OptStandResCB.Checked := OptStandRes;

  // -   \  . -
  //- \ .

  If FSObjectExists(AiinfoResPath) = true then begin
    aiinfoUbut.Enabled := true;
  end
  else begin
    aiinfoUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(AiinfoResPath)) = true then begin
    aiinfoPbut.Enabled := true;
  end
  else begin
    aiinfoPbut.Enabled := false;
  end;

  If FSObjectExists(TextsResPath) = true then begin
    textsUbut.Enabled := true;
  end
  else begin
    textsUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(TextsResPath)) = true then begin
    textsPbut.Enabled := true;
  end
  else begin
    textsPbut.Enabled := false;
  end;

  If FSObjectExists(SpeechResPath) = true then begin
    speechUbut.Enabled := true;
  end
  else begin
    speechUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(SpeechResPath)) = true then begin
    speechPbut.Enabled := true;
  end
  else begin
    speechPbut.Enabled := false;
  end;

  If FSObjectExists(FiguresResPath) = true then begin
    figuresUbut.Enabled := true;
  end
  else begin
    figuresUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(FiguresResPath)) = true then begin
    figuresPbut.Enabled := true;
  end
  else begin
    figuresPbut.Enabled := false;
  end;

  If FSObjectExists(GfxResPath) = true then begin
    gfxUbut.Enabled := true;
  end
  else begin
    gfxUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(GfxResPath)) = true then begin
    gfxPbut.Enabled := true;
  end
  else begin
    gfxPbut.Enabled := false;
  end;

  If FSObjectExists(MaterialsResPath) = true then begin
    materialsUbut.Enabled := true;
  end
  else begin
    materialsUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(MaterialsResPath)) = true then begin
    materialsPbut.Enabled := true;
  end
  else begin
    materialsPbut.Enabled := false;
  end;

  If FSObjectExists(MenusResPath) = true then begin
    menusUbut.Enabled := true;
  end
  else begin
    menusUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(MenusResPath)) = true then begin
    menusPbut.Enabled := true;
  end
  else begin
    menusPbut.Enabled := false;
  end;

  If FSObjectExists(OutroResPath) = true then begin
    outroUbut.Enabled := true;
  end
  else begin
    outroUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(OutroResPath)) = true then begin
    outroPbut.Enabled := true;
  end
  else begin
    outroPbut.Enabled := false;
  end;

  If FSObjectExists(RedressResPath) = true then begin
    redressUbut.Enabled := true;
  end
  else begin
    redressUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(RedressResPath)) = true then begin
    redressPbut.Enabled := true;
  end
  else begin
    redressPbut.Enabled := false;
  end;

  If FSObjectExists(SfxResPath) = true then begin
    sfxUbut.Enabled := true;
  end
  else begin
    sfxUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(SfxResPath)) = true then begin
    sfxPbut.Enabled := true;
  end
  else begin
    sfxPbut.Enabled := false;
  end;

  If FSObjectExists(DatabaselmpResPath) = true then begin
    databaselmpUbut.Enabled := true;
  end
  else begin
    databaselmpUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(DatabaselmpResPath)) = true then begin
    databaselmpPbut.Enabled := true;
  end
  else begin
    databaselmpPbut.Enabled := false;
  end;

  If FSObjectExists(TextslmpResPath) = true then begin
    textslmpUbut.Enabled := true;
  end
  else begin
    textslmpUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(TextslmpResPath)) = true then begin
    textslmpPbut.Enabled := true;
  end
  else begin
    textslmpPbut.Enabled := false;
  end;

  If FSObjectExists(TexturesResPath) = true then begin
    texturesUbut.Enabled := true;
  end
  else begin
    texturesUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(TexturesResPath)) = true then begin
    texturesPbut.Enabled := true;
  end
  else begin
    texturesPbut.Enabled := false;
  end;

  If FSObjectExists(DatabaseResPath) = true then begin
    databaseUbut.Enabled := true;
  end
  else begin
    databaseUbut.Enabled := false;
  end;
  If FSObjectExists(GetExtensDirName(DatabaseResPath)) = true then begin
    databasePbut.Enabled := true;
  end
  else begin
    databasePbut.Enabled := false;
  end;

  Showing := false;   // "".
end;

procedure TResursForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  ResursFormClosed := true;
  MAinForm.ResursMenu.Checked := false;
  Action := caFree;
end;

procedure TResursForm.UnpFilClick(Sender: TObject);
begin
  //  .
  OpenDialog1.InitialDir := DefalDir;
  OpenDialog1.Title := '   ';
  If OpenDialog1.Execute then begin
    //    
    DefalDir := GetFilePath(OpenDialog1.FileName);
    AnIniFil.Load(IniFilPath);  // .
    AnIniFil.WriteString('MainSettings','DefalDir',DefalDir);
    AnIniFil.Save(IniFilPath);  // .    :)

    //  -    ...
    UnPackResDialog(OpenDialog1.FileName);
  end;
end;

procedure TResursForm.PackDirClick(Sender: TObject);
var
   ODD1 : POpenDirDialog;
begin
  //   .
  //   ...  
  ODD1 := NewOpenDirDialog(' ,     ',[]);
  ODD1.InitialPath := DefalDir;
  ODD1.WndOwner := Application.Handle;  // " "...

  // ...
  If ODD1.Execute = true then begin
    //    
    DefalDir := AddLastSlash(ODD1.Path);
    AnIniFil.Load(IniFilPath);  // .
    AnIniFil.WriteString('MainSettings','DefalDir',DefalDir);
    AnIniFil.Save(IniFilPath);  // .    :)

    // -     ...
    PackResDialog(DefalDir);
  end;

  ODD1.Free;  // .
end;

procedure TResursForm.OptimizeButClick(Sender: TObject);
begin
  //   -     ,  
  // -  :)
  OpenDialog1.InitialDir := DefalDir;
  OpenDialog1.Title := '   ';
  If OpenDialog1.Execute then begin
    //    
    DefalDir := GetFilePath(OpenDialog1.FileName);
    AnIniFil.Load(IniFilPath);  // .
    AnIniFil.WriteString('MainSettings','DefalDir',DefalDir);
    AnIniFil.Save(IniFilPath);  // .    :)

    //  - ...
    ModalOptimizeRes(OpenDialog1.FileName);
  end;
end;

procedure TResursForm.Label15Click(Sender: TObject);
begin
  OptStandResCB.Checked := not OptStandResCB.Checked;  //   
end;

procedure TResursForm.OptStandResCBClick(Sender: TObject);
begin
  //     
  //    .

  OptStandRes := OptStandResCB.Checked;
  If Showing = false then begin
    //     
    //"" .
    AnIniFil.Load(IniFilPath);  // .
    AnIniFil.WriteBool('MainSettings','OptStandRes',OptStandRes);
    AnIniFil.Save(IniFilPath);  // .    :)
  end;
end;

procedure TResursForm.DoUnPackStandRes(const ResPath : string; Sender: TObject);
var
  AllOk : boolean;
  DestDirName : string;
begin
  // 

  AllOk := false;  // .
  DestDirName := GetExtensDirName(ResPath);   //  ,    .
  if DirectoryExists(DestDirName) = true then begin
    //   ,    ...
    If MessageBox(Application.Handle,PChar(' '+DestDirName+'  . ?'),'!',MB_YESNO or MB_ICONWARNING) = ID_YES then begin
      DelForm.DelPath := DestDirName;
      DelForm.ShowModal;
      MkDir(DestDirName);
      If DirectoryExists(DestDirName) = true then begin
        AllOk := true;
      end;
    end;  
  end
  else begin
    //    -   .
    MkDir(DestDirName);
    If DirectoryExists(DestDirName) = true then begin
      AllOk := true;
    end;
  end;

  If AllOk = true then begin
    //    -   .
    ModalUnPackResToDir(ResPath,DestDirName);
    //   ...
    FormShow(Sender);
  end;
end;

procedure TResursForm.aiinfoUbutClick(Sender: TObject);
begin
  // aiinfo.res
  DoUnPackStandRes(AiinfoResPath,Sender);
end;

procedure TResursForm.textsUbutClick(Sender: TObject);
begin
  // texts.res
  DoUnPackStandRes(TextsResPath,Sender);
end;

procedure TResursForm.speechUbutClick(Sender: TObject);
begin
  // speech.res
  DoUnPackStandRes(SpeechResPath,Sender);
end;

procedure TResursForm.figuresUbutClick(Sender: TObject);
begin
  // figures.res
  DoUnPackStandRes(FiguresResPath,Sender);
end;

procedure TResursForm.gfxUbutClick(Sender: TObject);
begin
  // gfx.res
  DoUnPackStandRes(GfxResPath,Sender);
end;

procedure TResursForm.materialsUbutClick(Sender: TObject);
begin
  // materials.res
  DoUnPackStandRes(MaterialsResPath,Sender);
end;

procedure TResursForm.menusUbutClick(Sender: TObject);
begin
  // menus.res
  DoUnPackStandRes(MenusResPath,Sender);
end;

procedure TResursForm.outroUbutClick(Sender: TObject);
begin
  // outro.res
  DoUnPackStandRes(OutroResPath,Sender);
end;

procedure TResursForm.redressUbutClick(Sender: TObject);
begin
  // redress.res
  DoUnPackStandRes(RedressResPath,Sender);
end;

procedure TResursForm.sfxUbutClick(Sender: TObject);
begin
  // sfx.res
  DoUnPackStandRes(SfxResPath,Sender);
end;

procedure TResursForm.databaselmpUbutClick(Sender: TObject);
begin
  // databaselmp.res
  DoUnPackStandRes(DatabaselmpResPath,Sender);
end;

procedure TResursForm.textslmpUbutClick(Sender: TObject);
begin
  // textslmp.res
  DoUnPackStandRes(TextslmpResPath,Sender);
end;

procedure TResursForm.texturesUbutClick(Sender: TObject);
begin
  // textures.res
  DoUnPackStandRes(TexturesResPath,Sender);
end;

procedure TResursForm.databaseUbutClick(Sender: TObject);
begin
  // database.res
  DoUnPackStandRes(DatabaseResPath,Sender);
end;

procedure TResursForm.DoPackStandRes(const ResDir : string; Sender : TObject);
var
  DestFileName : string;
  MBResult : integer;
  AllOk : boolean;
begin
  //  .

  AllOk := false;  // .
  DestFileName := GetExtensFileName(ResDir);
  If FileExists(DestFileName) = true then begin
    //    -      ...
    SetFileAttributes(PChar(DestFileName),FILE_ATTRIBUTE_ARCHIVE);
    MBResult := MessageBox(Application.Handle,PChar(' '+DestFileName+#13+'  . ?(). ?()'),'!',MB_YESNOCANCEL or MB_ICONWARNING);
    If MBResult  = ID_YES then begin
      //   -  .
      DeleteFile(DestFileName);
      AllOk := true;
    end;

    If MBResult  = ID_NO then begin
      //   ...
      AllOk := true;
    end;
  end;

  If AllOk = true then begin
    //   -   :).
    ModalAddDirToRes(DestFileName,ResDir);

    //   - ...
    If OptStandRes = true then begin
      ModalOptimizeRes(DestFileName);
    end;
  end;  
end;

procedure TResursForm.aiinfoPbutClick(Sender: TObject);
begin
  // aiinfo.res
  DoPackStandRes(GetExtensDirName(AiinfoResPath),Sender);
end;

procedure TResursForm.textsPbutClick(Sender: TObject);
begin
  // texts.res
  DoPackStandRes(GetExtensDirName(TextsResPath),Sender);
end;

procedure TResursForm.speechPbutClick(Sender: TObject);
begin
  // speech.res
  DoPackStandRes(GetExtensDirName(SpeechResPath),Sender);
end;

procedure TResursForm.figuresPbutClick(Sender: TObject);
begin
  // figures.res
  DoPackStandRes(GetExtensDirName(FiguresResPath),Sender);
end;

procedure TResursForm.gfxPbutClick(Sender: TObject);
begin
  // gfx.res
  DoPackStandRes(GetExtensDirName(GfxResPath),Sender);
end;

procedure TResursForm.materialsPbutClick(Sender: TObject);
begin
  // materials.res
  DoPackStandRes(GetExtensDirName(MaterialsResPath),Sender);
end;

procedure TResursForm.menusPbutClick(Sender: TObject);
begin
  // menus.res
  DoPackStandRes(GetExtensDirName(MenusResPath),Sender);
end;

procedure TResursForm.outroPbutClick(Sender: TObject);
begin
  // outro.res
  DoPackStandRes(GetExtensDirName(OutroResPath),Sender);
end;

procedure TResursForm.redressPbutClick(Sender: TObject);
begin
  // redress.res
  DoPackStandRes(GetExtensDirName(RedressResPath),Sender);
end;

procedure TResursForm.sfxPbutClick(Sender: TObject);
begin
  // sfx.res
  DoPackStandRes(GetExtensDirName(SfxResPath),Sender);
end;

procedure TResursForm.databaselmpPbutClick(Sender: TObject);
begin
  // databaselmp.res
  DoPackStandRes(GetExtensDirName(DatabaselmpResPath),Sender);
end;

procedure TResursForm.textslmpPbutClick(Sender: TObject);
begin
  // textslmp.res
  DoPackStandRes(GetExtensDirName(TextslmpResPath),Sender);
end;

procedure TResursForm.texturesPbutClick(Sender: TObject);
begin
  // textures.res
  DoPackStandRes(GetExtensDirName(TexturesResPath),Sender);
end;

procedure TResursForm.databasePbutClick(Sender: TObject);
begin
  // database.res
  DoPackStandRes(GetExtensDirName(DatabaseResPath),Sender);
end;

end.
